﻿using Model;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EntityFrameworkLib
{
    public class SkillEntity
    {
        [Key]
        [MaxLength(256)]
        public string Name { get; set; }
        [Required] 
        [MaxLength(500)]
        public string Description { get; set; }
        [Required]
        public SkillType Type { get; set; }
        public ICollection<ChampionEntity>? Champions { get; set; }
    }
}
